인스턴스 클러스터 API (인증서 기반) (deprecated)
인스턴스 클러스터 API (인증서 기반) (deprecated)에 대해 설명합니다.
Warning 이 기능은 GitLab 14.5에서 deprecated 되었습니다. 인스턴스 레벨 Kubernetes 클러스터 를 사용하면 Kubernetes 클러스터를 GitLab 인스턴스에 연결하고 인스턴스 내 모든 프로젝트에서 동일한 클러스터를 사용할 수 있습니다. 이 엔드포인트를 사용하려면 관리자 권한이 필요합니다. 인스턴스 클러스터 목록 조회 # 모든 인스턴스 클러스터 목록을 조회합니다. GET /admin/clusters 요청 예시: curl --request GET \ --header "PRIVATE-TOKEN: <your_access_token>" \ --url "https://gitlab.example.com/api/v4/admin/clusters" 응답 예시: [ { "id" : 9 , "name" : "cluster-1" , "created_at" : "2020-07-14T18:36:10.440Z" , "managed" : true , "enabled" : true , "domain" : null , "provider_type" : "user" , "platform_type" : "kubernetes" , "environment_scope" : "*" , "cluster_type" : "instance_type" , "user" : { "id" : 1 , "name" : "Administrator" , "username" : "root" , "state" : "active" , "avatar_url" : "https://www.gravatar.com/avatar/e64c7d89f26bd1972efa854d13d7dd61?s=80&d=identicon" , "web_url" : "https://gitlab.example.com/root" } , "platform_kubernetes" : { "api_url" : "https://example.com" , "namespace" : null , "authorization_type" : "rbac" , "ca_cert" : "-----BEGIN CERTIFICATE-----IxMDM1MV0ZDJkZjM...-----END CERTIFICATE-----" } , "provider_gcp" : null , "management_project" : null } , { "id" : 10 , "name" : "cluster-2" , "created_at" : "2020-07-14T18:39:05.383Z" , "domain" : null , "provider_type" : "user" , "platform_type" : "kubernetes" , "environment_scope" : "staging" , "cluster_type" : "instance_type" , "user" : { "id" : 1 , "name" : "Administrator" , "username" : "root" , "state" : "active" , "avatar_url" : "https:
